Subject: Re: [PATCH 05/21] i18n: sequencer: mark entire sentences for translation

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 May 2016 17:44:15 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> For what it's worth I agree with you and disagree with Eric here and
> Junio in the "[PATCH 03/21] i18n: advice: internationalize message for
> conflicts" thread.
>
> Of course there's a trade-off in source code verbosity when you have
> to change every occurance of (pseudocode):
>
>     "our %s failed" # %s can be revert or merge
>
> to:
>
>     if (action == "merge")
>         gettext("our merge failed")
>     elsif (action == "revert")
>         gettext("our revert failed")
>
> But forcing the translator to turn every such occurrence that flows
> naturally in English into "the '%s' command failed" leads to a worse
> translation.
>
> For example, if I ever get around to doing the Icelandic translation
> which I've had on my backlog I might translate something like this:
> ...
> I.e. even though you might be running "git merge" or "git revert" the
> UI is talking about those terms in the translated using native terms
> for the action of merging or reverting, but referring to the literal
> command names in English.
> ...
> It just doesn't flow as well, and leads to a more verbose translation.

OK.  I couldn't judge your example in Icelandic, but I have enough
trust in you to believe your conclusion ;-).

> Now instead of referring to the translated verb I'd already
> established I have to just refer to literal command names.
>
> Both this change and the change you submitted in
> <[email-masked]> and Junio
> didn't like in <[email-masked]> are
> actual examples of cases where if I was (finally getting of my ass to)
> doing the Icelandic translation I'd take advantage of this.